Mailinglist Archive: opensuse-updates (86 mails)

< Previous Next >
openSUSE-SU-2014:0737-1: moderate: sudo: flaw without env_reset
openSUSE Security Update: sudo: flaw without env_reset
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0737-1
Rating: moderate
References: #866503
Cross-References: CVE-2014-0106
Affected Products:
openSUSE 11.4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

The following security issue was fixed: If the env_reset option is
disabled in the sudoers file, a malicious user with sudo permissions may
be able to run arbitrary commands with elevated privileges by manipulating
the environment of a command the user is legitimately allowed to run.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch 2014-55

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

sudo-1.7.6p2-0.23.1
sudo-debuginfo-1.7.6p2-0.23.1
sudo-debugsource-1.7.6p2-0.23.1


References:

http://support.novell.com/security/cve/CVE-2014-0106.html
https://bugzilla.novell.com/866503


< Previous Next >
List Navigation
This Thread
  • No further messages